StandardServerSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StandardServerSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StandardServerSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.StandardServerSF

All Implemented Interfaces:
  IStoreFactory

public class StandardServerSF
extends StoreFactoryBase

Store server.xml Server element and childs ( Listener,GlobalNamingResource,Service)

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`StandardServerSF()`

Method Summary
`void` | `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aServer)` Store the specified Server properties.
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aObject, StoreDescription parentDesc)` Store Childs from this StandardServer descrition

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardServerSF

    public StandardServerSF()

Method Detail

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aServer)
               throws java.lang.Exception

  Store the specified Server properties.

  Specified by:
    `store` in interface `IStoreFactory`
  Overrides:
    `store` in class `StoreFactoryBase`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aServer` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing
  See Also:
    `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aObject,
                            StoreDescription parentDesc)
                     throws java.lang.Exception

  Store Childs from this StandardServer descrition

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` -
    `indent` -
    `aObject` -
    `parentDesc` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.